﻿using System;
using Wisej.Web;

namespace Wisej.StockQuotesSample
{
	public partial class StockQuote : Wisej.Web.UserControl
	{
		public event EventHandler Remove;

		public StockQuote()
		{
			InitializeComponent();
		}

		public double Quote
		{
			get { return this._quote; }
			set
			{
				if (this._quote != value)
				{
					this._quote = value;
					this.label2.Text = value.ToString("c");
				}
			}
		}
		private double _quote = -1;

		public string Stock
		{
			get { return this.label1.Text; }
			set { this.label1.Text = value; }
		}


		private void button1_Click(object sender, EventArgs e)
		{
			this.Remove?.Invoke(this, EventArgs.Empty);
		}
	}
}
